deleteTemplate

Prev Next

Available in Classic and VPC

Delete an unused email template.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
DELETE /template/{templateSid}

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
templateSid Integer Required SID of the template to delete

Request example

The following is a sample request.

curl --location --request DELETE 'https://mail.apigw.ntruss.com/api/v1/template/258' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
sid Integer SID of the deleted template
createDate Object - Creation date and time
name String - Name of the deleted template
description String - Description of the deleted template
title String - Email subject
senderAddress String - Sender's email address
senderName String - Sender name
body String - Email body
isUse Boolean - Template usage status
category Object Optional Parent category information

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The following is a sample response.

{
  "sid": 258,
  "createDate": {
    "utc": 1589348863431,
    "formattedDate": "2020-05-13",
    "formattedDateTime": "2020-05-13 14:47:43 431"
  },
  "name": "membershipTemplateKR",
  "description": null,
  "title": "[KO] Naver Cloud Platform",
  "senderAddress": "admin@master.com",
  "senderName": "Admin",
  "body": "Welcome to the membership.",
  "isUse": false,
  "category": {
    "sid": 252,
    "parentSid": -1,
    "name": "testCategory"
  }
}